# Products with NNStreamer

## Mass-produced Devices

- Samsung Galaxy Watch 3
- Samsung TV 2022 and later models
- Samsung Smart Oven
- Samsung Family-Hub Refrigerator

## Devices to be mass-produced Soon

- Robotic vacuum cleaner
- Air conditioner
- Washer/dryer

## Products manufactured in small numbers

- Activity Recognition Sensors
- Augmented workers (factories)
- Wearable robots

# Companies known to use NNStreamer

Reports and tips welcomed!

| Company |  |  |
| :---: | :---: | --- |
| [fainders.ai](https://fainders.ai) | ![fainders.ai.demo.store](media/FaindersAI_Store.webp) | Unmanned retail store system, applied to:<br /> [GS25 conviniend store](https://www.etnews.com/20231005000051) <br /> [Super Swift](https://news.mt.co.kr/mtview.php?no=2023062610302681955) |
| [klleon](https://klleon.io) | ![klleon.demo.speech](media/Klleon_Speech.webp) | Generate speech video from pictures and texts. |
| [OpenNCC](https://openncc.com) | ![openncc.demo.facemask](media/OpenNCC_Mask.webp) | Edge-AI cameras and real-time AI service framework |
| [PrintNanny](https://printnanny.ai) | ![printnanny.demo.printer](media/PrintNanny.webp) | 3D printer monitoring service |
| [NXP](https://nxp.com) | ![nxp.example.pose](https://github.com/NXPmicro/nxp-nnstreamer-examples/raw/main/pose/pose_demo.webp)<br />[NXP nnstreamer example](https://github.com/NXPmicro/nxp-nnstreamer-examples)<br />[i.MX Machine Learning User's Guide](https://www.nxp.com/docs/en/user-guide/IMX-MACHINE-LEARNING-UG.pdf) | Vision pipeline with NNStreamer |
| [LG] | ![lg.gstreamer.conference.talk](https://gstconf.ubicast.tv/public/videos/v12666129e959phdk0477svdnli8ma/thumb_catalog.jpg) | [GStreamer Conference 2023](https://gstconf.ubicast.tv/videos/playing-around-with-artistic-style-transfer-with-gstreamer-nnstreamer/) |
| [MediaTek](https://www.mediatek.com/) | [![mediatek.sw.stack](https://mediatek.gitlab.io/aiot/doc/aiot-dev-guide/master/_images/tools_nnstreamer_software-stack.png)](https://mediatek.gitlab.io/aiot/doc/aiot-dev-guide/master/tools/nnstreamer.html) | [MediaTek Genio](https://www.mediatek.com/iot/home) |

- (TBU): Eyepop.ai's nnstreamer usages



# Research

## Research based on NNStreamer

- J. Karjee, et. al., Dynamic Split Computing of PoseNet Inference for Fitness Applications in Home IoT-Edge Platform, COMSNET 2022 [IEEE Explore](https://ieeexplore.ieee.org/abstract/document/9668605)
- S. Lee, et. al., Implementation of Object Detection System for Real-time Video with NNStreamer, KIISE 2020 [DBPIA](https://www.dbpia.co.kr/pdf/pdfView.do?nodeId=NODE10530073&mark=0&useDate=&ipRange=N&accessgl=Y&language=en_US&hasTopBanner=true) (Korean)
- J. Moon, et. al., Performance Analysis of Neural Network Pipelining for Multimodal On-Device AI Applications, KIISE 2019 [DBPIA](https://www.dbpia.co.kr/pdf/pdfView.do?nodeId=NODE09301525&mark=0&useDate=&ipRange=N&accessgl=Y&language=en_US&hasTopBanner=true) (Korean)
- J. Karjee, et. al., Energy Profiling based Load-Balancing Approach in IoT-Edge for Split Computing, INDICON 2021 [IEEE Explorer](https://ieeexplore.ieee.org/abstract/document/9691607)
